Lavalite package that provides spell management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `spell/spell`.

    "spell/spell": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Spell\Spell\Providers\SpellServiceProvider::class,

And also add it to alias

    'Spell'  => Spell\Spell\Facades\Spell::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Spell\\Spell\\Seeders\\SpellTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Spell\Spell\Providers\SpellServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Spell\Spell\Providers\SpellServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Spell\Spell\Providers\SpellServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/spell/{modulename}

**User**

    http://path-to-route-folder/user/spell/{modulename}

**Public**

    http://path-to-route-folder/spells


### API endpoints

**List**

    http://path-to-route-folder/api/user/spell/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/spell/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/spell/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/spell/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/spell/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/spell/{modulename}/{slug}
    METHOD: GET